import * as pipelines from 'aws-cdk-lib/pipelines';
/**
 * A class that represents a post-deployment build step in a CDK pipeline.
 * This step is responsible for running commands after a successful deployment.
 */
export declare class PostDeployBuildStep extends pipelines.CodeBuildStep {
    /**
     * Constructs a new instance of the PostDeployBuildStep class.
     *
     * @param stage The stage of the pipeline in which this step is executed.
     * @param props The properties for the CodeBuild step.
     * @param applicationName The name of the application.
     * @param roleArn The ARN of the role used for post build step.
     */
    constructor(stage: string, props: pipelines.CodeBuildStepProps, applicationName: string, roleArn: string);
}
