import { Project, SampleFile } from 'projen';
/**
 * Props for configuring the TaskFile.
 */
export interface TaskFileProps {
    /**
     * The file path for the TaskFile.
     * @default 'Taskfile.yaml'
     */
    filePath?: string;
}
/**
 * Represents a TaskFile, which is a type of SampleFile in the Projen project.
 * The TaskFile is responsible for managing the Taskfile.yaml file in the project.
 */
export declare class TaskFile extends SampleFile {
    constructor(project: Project, props?: TaskFileProps);
}
