import { Construct, IConstruct } from 'constructs';
import { IResourceProvider, ResourceContext } from '../common';
export interface ILogger {
    info(message: string, on?: IConstruct): void;
    warning(message: string, on?: IConstruct): void;
    error(message: string, on?: IConstruct): void;
}
declare class Logger implements ILogger {
    private scope?;
    private messages;
    constructor();
    setScope(scope: Construct): void;
    info(message: string, on?: IConstruct): void;
    warning(message: string, on?: IConstruct): void;
    error(message: string, on?: IConstruct): void;
}
declare const logger: Logger;
export { logger };
export declare class LoggingProvider implements IResourceProvider {
    provide(_: ResourceContext): any;
}
