import { ResourceContext, IResourceProvider, Scope } from '../common';
/**
 * Provides AppStage definitions
 */
export declare class StageProvider implements IResourceProvider {
    /**
     * Scope at which the provider operates. Defaults to Scope.PER_STAGE.
     */
    scope?: Scope | undefined;
    /**
     * Provides an AppStage instance based on the given ResourceContext.
     *
     * @param context - The ResourceContext containing information about the current scope, stage, and environment.
     * @returns An instance of AppStage.
     */
    provide(context: ResourceContext): any;
}
