import * as cdk from 'aws-cdk-lib';
import * as kms from 'aws-cdk-lib/aws-kms';
import { Construct } from 'constructs';
/**
 * Properties for the EncryptionStack.
 * Defines the configuration options required to create an instance of the EncryptionStack.
 */
export interface EncryptionStackProps extends cdk.StackProps {
    /**
     * The name of the application.
     */
    readonly applicationName: string;
    /**
     * The name of the stage.
     */
    readonly stageName: string;
}
/**
 * A stack that creates a KMS key for encryption and grants the necessary permissions.
 */
export declare class EncryptionStack extends cdk.Stack {
    /**
     * The KMS key created by this stack.
     */
    readonly kmsKey: kms.Key;
    constructor(scope: Construct, id: string, props: EncryptionStackProps);
}
