import { Construct } from 'constructs';
import { IPipelineBlueprintProps } from './PipelineBlueprint';
import { PipelineBlueprintBase } from './PipelineBlueprintBase';
/**
 * PipelineStack class responsible for creating the pipeline and its stages based on the provided deployment definition.
 */
export declare class PipelineStack extends PipelineBlueprintBase {
    /**
     * Constructs a new instance of the PipelineStack class.
     *
     * @param scope The construct scope in which the stack resides.
     * @param id The unique identifier for the stack.
     * @param config The configuration object containing the deployment definition and other pipeline blueprint properties.
     */
    constructor(scope: Construct, id: string, config: IPipelineBlueprintProps);
}
