import { Construct } from 'constructs';
import { IPipelineBlueprintProps } from './PipelineBlueprint';
import { PipelineBlueprintBase } from './PipelineBlueprintBase';
import { Environment } from '../common';
/**
 * Represents a workbench stack within the pipeline blueprint.
 */
export declare class WorkbenchStack extends PipelineBlueprintBase {
    readonly config: IPipelineBlueprintProps;
    /**
     * Creates a new instance of the WorkbenchStack class.
     *
     * @param scope The scope in which the stack is created.
     * @param id The unique identifier for the stack.
     * @param env The environment in which the stack is deployed.
     * @param config The pipeline blueprint configuration properties.
     */
    constructor(scope: Construct, id: string, env: Environment, config: IPipelineBlueprintProps);
}
