import { Construct } from 'constructs';
/**
 * This class provides functionality to resolve parameter values from AWS Systems Manager Parameter Store or from provided string values.
 */
export declare class ParameterResolver {
    /**
     * The prefix used to identify parameter resolution from AWS Systems Manager Parameter Store.
     * @default 'resolve'
     */
    static readonly PREFIX = "resolve";
    /**
     * Resolves the value of a parameter, either from an SSM parameter or using the provided string value.
     * @param scope The scope in which the parameter is resolved.
     * @param param The parameter value to resolve. If it starts with 'ssm:', it will be treated as an SSM parameter name.
     * @returns The resolved parameter value.
     */
    static resolveValue(scope: Construct, param: string): string;
}
